%global octpkg doctest

Name:           octave-%{octpkg}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Documentation tests for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/%{octpkg}/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

Obsoletes:      octave-forge <= 20090607


%description
The Octave-forge Doctest package finds specially-formatted
blocks of example code within documentation files.  It then executes
the code and confirms the output is correct.  This can be useful as part of
a testing framework or simply to ensure that documentation stays up-to-date
during software development.

%prep
%setup -q -n %{octpkg}-%{version}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%{octpkgdir}/private

%changelog
* Fri Jul 03 2015 Colin B. Macdonald <cbm@m.fsf.org> - 0.4.0-1
- initial package for Fedora
